Skip to content

Copy a New Strategy Plan

Request

Create a duplicate of an existing strategy plan (and its parent campaign plan). No request body is accepted; the copy is named after the source with a " Copy" suffix and its forecast results are reset. Its forecast_date is set to the time of the copy so that lists ordered by forecast_date show the copy first.

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
strategy_plan_idintegerrequired

Numeric ID of the strategy_plan object to copy

Query
extendedboolean

Get extended properties in response

POST
/new_strategy_plans/{strategy_plan_id}/copy
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/new_strategy_plans/{strategy_plan_id}/copy?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

New strategy plan copy response

Bodyapplication/json
Any of:
dataobject(new_strategy_plan_full_response)

New Strategy Plan

metaobject
Response
{ "data": { "campaign_start_date": "2019-08-24T14:15:22Z", "campaign_end_date": "2019-08-24T14:15:22Z", "campaign_zone_name": "string", "name": "string", "feature_compatibility": "string", "device_graph_only": true, "zone_name": "America/New_York", "campaign_service_type": "string", "type": "string", "duration": {}, "budget": {}, "goals": {}, "frequency": {}, "inventory": {}, "targeting": {}, "creatives": {}, "id": 33, "version": 3, "campaign_id": 8 }, "meta": { "status": "success" } }